Index: calculatorview/src/sans/perspectives/calculator/calculator_widgets.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/calculator_widgets.py	(revision 7d45a560fc54369038cd457bd4c8f382c01d9367)
+++ calculatorview/src/sans/perspectives/calculator/calculator_widgets.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -9,5 +9,9 @@
 """
 import wx
-#import os
+import sys
+CHILD_FRAME = wx.MDIChildFrame
+if sys.platform.count("win32") < 1:
+    if sys.platform.count("darwin") < 1:
+        CHILD_FRAME = wx.Frame
 
 class InputTextCtrl(wx.TextCtrl):
Index: calculatorview/src/sans/perspectives/calculator/data_operator.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/data_operator.py	(revision e35534ff0ccf81b5880cd6add9e0040fcbb2a001)
+++ calculatorview/src/sans/perspectives/calculator/data_operator.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -15,5 +15,5 @@
 from matplotlib.figure import Figure
 from sans.guiframe.events import StatusEvent 
-       
+from sans.perspectives.calculator import calculator_widgets as widget   
 #Control panel width 
 if sys.platform.count("win32") > 0:
@@ -934,8 +934,8 @@
         self.draw()
         
-class DataOperatorWindow(wx.MDIChildFrame):
+class DataOperatorWindow(widget.CHILD_FRAME):
     def __init__(self, parent, manager, *args, **kwds):
         kwds["size"] = (PANEL_WIDTH, PANEL_HEIGTH)
-        wx.MDIChildFrame.__init__(self, parent, *args, **kwds)
+        widget.CHILD_FRAME.__init__(self, parent, *args, **kwds)
         self.parent = parent
         self.manager = manager
Index: calculatorview/src/sans/perspectives/calculator/density_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/density_panel.py	(revision e35534ff0ccf81b5880cd6add9e0040fcbb2a001)
+++ calculatorview/src/sans/perspectives/calculator/density_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -10,4 +10,5 @@
 from sans.guiframe.events import StatusEvent  
 from periodictable import formula as Formula
+from sans.perspectives.calculator import calculator_widgets as widget
        
 AVOGADRO =  6.02214129e23
@@ -371,5 +372,5 @@
         return output.lstrip().rstrip()  
         
-class DensityWindow(wx.MDIChildFrame):
+class DensityWindow(widget.CHILD_FRAME):
     """
     """
@@ -381,5 +382,5 @@
         kwds['title'] = title
         kwds['size'] = size
-        wx.MDIChildFrame.__init__(self, parent, *args, **kwds)
+        widget.CHILD_FRAME.__init__(self, parent, *args, **kwds)
         """
         """
Index: calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py	(revision e35534ff0ccf81b5880cd6add9e0040fcbb2a001)
+++ calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -35,4 +35,5 @@
 from sans.perspectives.calculator.load_thread import GenReader
 from danse.common.plottools.arrow3d import Arrow3D
+from sans.perspectives.calculator import calculator_widgets as widget   
 
 _BOX_WIDTH = 76
@@ -1791,5 +1792,5 @@
         return flag
 
-class SasGenWindow(wx.MDIChildFrame):
+class SasGenWindow(widget.CHILD_FRAME):
     """
     GEN SAS main window
@@ -1809,5 +1810,5 @@
         kwds['size'] = size
         kwds['title'] = title
-        wx.MDIChildFrame.__init__(self, parent, *args, **kwds)
+        widget.CHILD_FRAME.__init__(self, parent, *args, **kwds)
         self.parent = parent
         self.base = manager
Index: calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py	(revision e35534ff0ccf81b5880cd6add9e0040fcbb2a001)
+++ calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -16,4 +16,5 @@
 from calculator_widgets import OutputTextCtrl
 from calculator_widgets import InputTextCtrl
+from sans.perspectives.calculator import calculator_widgets as widget   
 
 _BOX_WIDTH = 77
@@ -190,5 +191,5 @@
         self.on_compute(event)
              
-class KiessigWindow(wx.MDIChildFrame):
+class KiessigWindow(widget.CHILD_FRAME):
     def __init__(self, parent=None, manager=None, 
                  title="Kiessig Thickness Calculator",
@@ -196,5 +197,5 @@
         kwds['title'] = title
         kwds['size'] = size
-        wx.MDIChildFrame.__init__(self, parent, *args, **kwds)
+        widget.CHILD_FRAME.__init__(self, parent, *args, **kwds)
         self.parent = parent
         self.manager = manager
Index: calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision e35534ff0ccf81b5880cd6add9e0040fcbb2a001)
+++ calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -30,4 +30,6 @@
 from wx.lib.scrolledpanel import ScrolledPanel
 from math import fabs
+from sans.perspectives.calculator import calculator_widgets as widget   
+
 _BOX_WIDTH = 100
 _Q_DEFAULT = 0.0
@@ -1390,5 +1392,5 @@
             raise 
         
-class ResolutionWindow(wx.MDIChildFrame):
+class ResolutionWindow(widget.CHILD_FRAME):
     """
     Resolution Window
@@ -1406,5 +1408,5 @@
         kwds['title'] = title
         kwds['size'] = size
-        wx.MDIChildFrame.__init__(self, parent=parent, *args, **kwds)
+        widget.CHILD_FRAME.__init__(self, parent=parent, *args, **kwds)
         self.parent = parent
         self.manager = manager
Index: calculatorview/src/sans/perspectives/calculator/sld_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/sld_panel.py	(revision e35534ff0ccf81b5880cd6add9e0040fcbb2a001)
+++ calculatorview/src/sans/perspectives/calculator/sld_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -20,4 +20,5 @@
 from periodictable.xsf import xray_sld_from_atoms
 from periodictable.nsf import neutron_scattering
+from sans.perspectives.calculator import calculator_widgets as widget   
        
 WAVELENGTH = 6.0
@@ -437,5 +438,5 @@
         
         
-class SldWindow(wx.MDIChildFrame):
+class SldWindow(widget.CHILD_FRAME):
     """
     """
@@ -447,5 +448,5 @@
         kwds['title'] = title
         kwds['size'] = size
-        wx.MDIChildFrame.__init__(self, parent, *args, **kwds)
+        widget.CHILD_FRAME.__init__(self, parent, *args, **kwds)
         """
         """
Index: calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py	(revision e35534ff0ccf81b5880cd6add9e0040fcbb2a001)
+++ calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -19,4 +19,5 @@
 from calculator_widgets import OutputTextCtrl
 from calculator_widgets import InterActiveOutputTextCtrl
+from sans.perspectives.calculator import calculator_widgets as widget   
 
 _BOX_WIDTH = 76
@@ -251,5 +252,5 @@
     
     
-class SlitLengthCalculatorWindow(wx.MDIChildFrame):
+class SlitLengthCalculatorWindow(widget.CHILD_FRAME):
     """
     """
@@ -260,5 +261,5 @@
         kwds['size']= size
         kwds['title']= title
-        wx.MDIChildFrame.__init__(self, parent, *args, **kwds)
+        widget.CHILD_FRAME.__init__(self, parent, *args, **kwds)
         self.parent = parent
         self.manager = manager
Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision 8833c77ea878d3b6d861d327fa421ba0c7c6830c)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
@@ -194,6 +194,9 @@
 CLOSE_SHOW = True
 TIME_FACTOR = 2
+MDI_STYLE = wx.DEFAULT_FRAME_STYLE
 NOT_SO_GRAPH_LIST = ["BoxSum"]
-if sys.platform.count("darwin") > 0:
+PARENT_FRAME = wx.MDIParentFrame
+CHILD_FRAME = wx.MDIChildFrame
+if sys.platform.count("win32") < 1:
     IS_WIN = False
     TIME_FACTOR = 2
@@ -201,6 +204,9 @@
         if int(str(wx.__version__).split('.')[1]) < 9:
             CLOSE_SHOW = False
-    
-class ViewerFrame(wx.MDIParentFrame):
+    if sys.platform.count("darwin") < 1:
+        PARENT_FRAME = wx.Frame
+        CHILD_FRAME = wx.Frame
+    
+class ViewerFrame(PARENT_FRAME):
     """
     Main application frame
@@ -216,5 +222,5 @@
         """
 
-        wx.MDIParentFrame.__init__(self, parent=parent, title=title, pos=pos, size=size)
+        PARENT_FRAME.__init__(self, parent=parent, title=title, pos=pos, size=size)
         # title
         self.title = title
@@ -1176,6 +1182,6 @@
         p.window_name = windowname + str(self.graph_num)
         
-        style1 = self.__gui_style & GUIFRAME.FIXED_PANEL
-        style2 = self.__gui_style & GUIFRAME.FLOATING_PANEL
+        #style1 = self.__gui_style & GUIFRAME.FIXED_PANEL
+        #style2 = self.__gui_style & GUIFRAME.FLOATING_PANEL
         
         p.frame.SetTitle(p.window_caption)
@@ -3406,5 +3412,5 @@
 
 
-class MDIFrame(wx.MDIChildFrame):
+class MDIFrame(CHILD_FRAME):
     """
     Frame for panels
@@ -3418,6 +3424,7 @@
         kwds['size']= size
         kwds['title']= title
+        kwds['style'] = MDI_STYLE
         # Initialize the Frame object
-        wx.MDIChildFrame.__init__(self, parent, *args, **kwds)
+        CHILD_FRAME.__init__(self, parent, *args, **kwds)
         self.parent = parent
         self.name = "Untitled"
